from defence360agent.contracts.permissions import permissions_list
from defence360agent.rpc_tools.lookup import CommonEndpoints, bind


class PermissionEndpoints(CommonEndpoints):
    @bind("permissions", "list")
    async def permissions_list(self, user=None):
        return {"items": await permissions_list(user)}
